#include "LogManager.h"
#include "common.h"

using namespace std;

namespace GtpVisibilityPreprocessor {

LogManager *LogManager::sLogManager = NULL;


LogManager *LogManager::GetSingleton()
{
	if (!sLogManager)
	{
		sLogManager = new LogManager();
	}

	return sLogManager;
}


void LogManager::DelSingleton()
{
	DEL_PTR(sLogManager);
}


LogManager::LogManager()
{
	mOutStream.open("preprocessor.log");
}


void LogManager::LogMessage(const string &str)
{
	mOutStream << str.c_str();
}

}